Bug 1676987 (python-ipmi) - Review Request: python-ipmi - Pure Python IPMI Library
Summary: Review Request: python-ipmi - Pure Python IPMI Library
Keywords:
Status: CLOSED ERRATA
Alias: python-ipmi
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-13 18:01 UTC by Luis Bazan
Modified: 2019-04-06 20:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:18:43 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Luis Bazan 2019-02-13 18:01:47 UTC
Spec URL: https://lbazan.fedorapeople.org/python-ipmi.spec
SRPM URL: https://lbazan.fedorapeople.org/python-ipmi-0.4.1-1.fc29.src.rpm

Description:
Pure Python IPMI Library.

Fedora Account System Username: lbazan

Comment 1 Robert-André Mauchin 2019-02-17 00:18:38 UTC
Requires:       python3dist(future)
Requires:       python3dist(markdown)
Requires:       python3dist(setuptools)


 - Requires are not needed on F30. For F29/F28 use %?python_enable_dependency_generator

 - You could use %pypi_source for Source0

 - Run tests with nosetests-%{python3_version} -v ?


BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(nose)

[…]

%check
nosetests-%{python3_version} -v

   It's missing tests/fru_bin and tests/hpm_bin folders, you'll need to add them separately or use the archive from github instead of pypi.

 - In prep, remove the shebangs from:

python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyipmi/fields.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyipmi/fields.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyipmi/ipmitool.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyipmi/ipmitool.py 644 /usr/bin/env python
python3-ipmi.noarch: E: zero-length /usr/lib/python3.7/site-packages/pyipmi/msgs/session.py
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/interfaces/test_aardvark.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/interfaces/test_aardvark.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/interfaces/test_ipmb.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/interfaces/test_ipmb.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/interfaces/test_ipmitool.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/interfaces/test_ipmitool.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/interfaces/test_rmcp.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/interfaces/test_rmcp.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_bmc.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_bmc.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_chassis.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_chassis.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_device_messaging.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_device_messaging.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_event.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_event.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_fru.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_fru.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_hpm.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_hpm.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_message.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_message.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_picmg.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_picmg.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_sdr.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_sdr.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_sel.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_sel.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_sensor.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_sensor.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_bmc.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_bmc.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_chassis.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_chassis.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_errors.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_errors.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_fields.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_fields.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_fru.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_fru.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_helper.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_helper.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_hpm.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_hpm.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_ipmi.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_ipmi.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_picmg.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_picmg.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_sdr.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_sdr.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_sel.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_sel.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_sensor.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_sensor.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_utils.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_utils.py 644 /usr/bin/env python


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GNU Lesser General Public License (v2.1 or later)", "Unknown
     or generated". 42 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/python-ipmi/review-python-
     ipmi/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-ipmi-0.4.1-1.fc30.noarch.rpm
          python-ipmi-0.4.1-1.fc30.src.rpm
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyipmi/fields.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyipmi/fields.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyipmi/ipmitool.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyipmi/ipmitool.py 644 /usr/bin/env python
python3-ipmi.noarch: E: zero-length /usr/lib/python3.7/site-packages/pyipmi/msgs/session.py
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/interfaces/test_aardvark.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/interfaces/test_aardvark.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/interfaces/test_ipmb.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/interfaces/test_ipmb.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/interfaces/test_ipmitool.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/interfaces/test_ipmitool.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/interfaces/test_rmcp.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/interfaces/test_rmcp.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_bmc.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_bmc.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_chassis.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_chassis.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_device_messaging.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_device_messaging.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_event.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_event.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_fru.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_fru.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_hpm.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_hpm.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_message.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_message.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_picmg.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_picmg.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_sdr.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_sdr.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_sel.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_sel.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/msgs/test_sensor.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/msgs/test_sensor.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_bmc.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_bmc.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_chassis.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_chassis.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_errors.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_errors.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_fields.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_fields.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_fru.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_fru.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_helper.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_helper.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_hpm.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_hpm.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_ipmi.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_ipmi.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_picmg.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_picmg.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_sdr.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_sdr.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_sel.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_sel.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_sensor.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_sensor.py 644 /usr/bin/env python
python3-ipmi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/tests/test_utils.py /usr/bin/env python
python3-ipmi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/tests/test_utils.py 644 /usr/bin/env python
python3-ipmi.noarch: W: no-manual-page-for-binary ipmitool.py
2 packages and 0 specfiles checked; 61 errors, 1 warnings.

Comment 3 Robert-André Mauchin 2019-03-20 18:40:37 UTC
LGTM, package approved.

Comment 4 Gwyn Ciesla 2019-03-20 19:31:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-ipmi

Comment 5 Fedora Update System 2019-03-20 20:27:10 UTC
python-ipmi-0.4.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e564589f0

Comment 6 Fedora Update System 2019-03-20 20:27:17 UTC
python-ipmi-0.4.1-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5467767c63

Comment 7 Fedora Update System 2019-03-21 14:14:27 UTC
python-ipmi-0.4.1-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-12147e3cdb

Comment 8 Fedora Update System 2019-03-21 19:12:19 UTC
python-ipmi-0.4.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5467767c63

Comment 9 Fedora Update System 2019-03-21 21:18:57 UTC
python-ipmi-0.4.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4e564589f0

Comment 10 Fedora Update System 2019-03-21 21:52:44 UTC
python-ipmi-0.4.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-12147e3cdb

Comment 11 Fedora Update System 2019-03-29 19:18:43 UTC
python-ipmi-0.4.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-03-29 21:03:37 UTC
python-ipmi-0.4.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-04-06 20:17:08 UTC
python-ipmi-0.4.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.